Linux Perf Users
 help / color / mirror / Atom feed
* [PATCH 1/2 v2] perf test: Fix perf test 114 perf record test subtest precise_max for s390
@ 2025-01-29  7:11 Thomas Richter
  2025-01-29  7:11 ` [PATCH 2/2 v2] perf test: Skip perf test 114 perf record test subtest test_leader_sampling " Thomas Richter
  2025-01-29  9:57 ` [PATCH 1/2 v2] perf test: Fix perf test 114 perf record test subtest precise_max " James Clark
  0 siblings, 2 replies; 5+ messages in thread
From: Thomas Richter @ 2025-01-29  7:11 UTC (permalink / raw)
  To: linux-kernel, linux-perf-users, acme, namhyung
  Cc: agordeev, gor, sumanthk, hca, Thomas Richter, James Clark

On s390 the event instructions can not be used for recording.
This event is only supported by perf stat.

Change the event instruction to cycles for subtest test_precise_max
as suggested by James Clark.

Signed-off-by: Thomas Richter <tmricht@linux.ibm.com>
Suggested-by: James Clark <james.clark@linaro.org>
---
 tools/perf/tests/shell/record.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tools/perf/tests/shell/record.sh b/tools/perf/tests/shell/record.sh
index 0fc7a909ae9b..957ee10aff44 100755
--- a/tools/perf/tests/shell/record.sh
+++ b/tools/perf/tests/shell/record.sh
@@ -287,9 +287,9 @@ test_precise_max() {
     return
   fi
   # On AMD, cycles and instructions events are treated differently
-  if ! perf record -o "${perfdata}" -e "instructions:P" true 2> /dev/null
+  if ! perf record -o "${perfdata}" -e "cycles:P" true 2> /dev/null
   then
-    echo "precise_max attribute [Failed instructions:P event]"
+    echo "precise_max attribute [Failed cycles:P event]"
     err=1
     return
   fi
-- 
2.48.1


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2025-01-29 11:25 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-01-29  7:11 [PATCH 1/2 v2] perf test: Fix perf test 114 perf record test subtest precise_max for s390 Thomas Richter
2025-01-29  7:11 ` [PATCH 2/2 v2] perf test: Skip perf test 114 perf record test subtest test_leader_sampling " Thomas Richter
2025-01-29 11:25   ` James Clark
2025-01-29  9:57 ` [PATCH 1/2 v2] perf test: Fix perf test 114 perf record test subtest precise_max " James Clark
2025-01-29 11:11   ` James Clark

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox